> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List data exports



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /data-exports
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterpart VAT IDs
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Data exports
  - name: Delivery notes
  - name: Departments
  - name: Disclosures
  - name: Documents
  - name: Events
  - name: Expenses
  - name: Files
  - name: Ledger accounts
  - name: Locations
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: OIDC applications
  - name: Organizations
  - name: Overdue reminders
  - name: Payable duplicates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: PDF templates
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Roles
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: Users
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /data-exports:
    servers:
      - url: https://api.sandbox.tesouro.com/finops/v1
        description: Sandbox
    get:
      tags:
        - Data exports
      summary: List data exports
      operationId: get_data-exports
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - name: order
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OrderEnum'
            default: asc
          description: >-
            Sort order (ascending by default). Typically used together with the
            `sort` parameter.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
          description: >-
            The number of items (0 .. 100) to return in a single page of the
            response. The response may contain fewer items if it is the last or
            only page.
        - name: pagination_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            A pagination token obtained from a previous call to this endpoint.
            Use it to get the next or previous page of results for your initial
            query. If `pagination_token` is specified, all other query
            parameters are ignored and inferred from the initial query.


            If not specified, the first page of results will be returned.
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/DataExportCursorFields'
              - type: 'null'
          description: >-
            The field to sort the results by. Typically used together with the
            `order` parameter.
        - name: created_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: created_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: created_by_entity_user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
        - name: object_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/DataExportObjectType'
              - type: 'null'
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/DataExportStatus'
              - type: 'null'
        - name: status__in
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/DataExportStatus'
              - type: 'null'
        - name: x-organization-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          description: The ID of the entity that owns the requested resource.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataExportListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '406':
          description: Not Acceptable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '409':
          description: Business logic error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrderEnum:
      type: string
      enum:
        - asc
        - desc
    DataExportCursorFields:
      type: string
      enum:
        - created_at
    DataExportObjectType:
      type: string
      enum:
        - payable
        - receivable
        - transaction
    DataExportStatus:
      type: string
      enum:
        - pending
        - processing
        - succeeded
        - failed
        - expired
    DataExportListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DataExportResponse'
          type: array
          description: A set of exports returned per page.
        next_pagination_token:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the next page of results. If there is no next page, i.e. you
            have reached the last page, the value is `null`.
        prev_pagination_token:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the previous page of results. If there is no previous page,
            i.e. you have reached the first page, the value is `null`.
      additionalProperties: false
      type: object
      required:
        - data
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DataExportResponse:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID assigned to this export.
        created_at:
          type: string
          format: date-time
          description: UTC date and time when this export was started.
        created_by_entity_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            The ID of the entity user who started this export, or `null` if it
            was started with a partner token.
        entity_id:
          type: string
          format: uuid
          description: The ID of the entity that owns this export.
        error:
          anyOf:
            - type: string
            - type: 'null'
          description: A human-readable description of `error_code`.
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          description: Why this export failed, or `null` if it has not failed.
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: UTC date and time after which the export file is deleted.
        filters:
          additionalProperties:
            type: array
            items:
              type: string
          type: object
          description: The list query parameters the export was started with, as sent.
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: UTC date and time when this export succeeded or failed.
        object_type:
          type: string
          description: >-
            The type of the exported objects: `payable`, `receivable` or
            `transaction`. More types may be added.
        row_count:
          anyOf:
            - type: integer
            - type: 'null'
          description: The number of data rows in the export file, once it has succeeded.
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: UTC date and time when the export file started building.
        status:
          $ref: '#/components/schemas/DataExportStatus'
          description: The current status of this export.
      type: object
      required:
        - id
        - created_at
        - created_by_entity_user_id
        - entity_id
        - error
        - error_code
        - expires_at
        - filters
        - finished_at
        - object_type
        - row_count
        - started_at
        - status
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        ctx:
          type: object
        input: {}
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.